%script model A

%% TA1
% R0=1.5 (<=2)
figure(301) %TA1a
[R0,phi]=R0_A(50,1,2,[]);
Phi_r=R0eigenfunction_A(1);
[R0,R0_e,Phi,Phi_e]=R0error_A([2:30],1,2,[],1.5,Phi_r);
yticks([1e-15,1e-10,1e-5,1])
xticks([5:5:30])
Phi_r=R0eigenfunction_A(1);
[R0,R0_e,Phi,Phi_e]=R0error_A([2:2:30],1,1,[],1.5,Phi_r);
figure(302) %TA1b
% increase frequency of diffusion to slow convergence
% dtilde*(2+sin(f*pi*x)), f=1,3,5
[R0,phi]=R0_A(50,1,2,[]); %set f before running
Phi_r=R0eigenfunction_A(1); %set f before running
[R0,R0_e,Phi,Phi_e]=R0error_A([2:30],1,2,[],1.5,Phi_r);
xticks([5,10,20,40,60,100])
yticks([1e-15,1e-10,1e-5,1])
axis([2 100 1e-15 1])
title('$\|\phi_{N}-\phi\|_{\infty,M}$','interpreter','latex','FontSize',20)

%% TA2
%for no diffusion use method 3 and define dtilde anyway
figure(302)
[R0,phi]=R0_A(1000,2,2,[2]);R0
[R0,R0_e,Phi,Phi_e]=R0error_A([2:30,40:10:600],2,2,[2],R0,phi);
[R0,phi]=R0_A(1000,2,2,[1e-6]);R0
[R0,R0_e,Phi,Phi_e]=R0error_A([10:10:600],2,2,[1e-6],R0,phi);
[R0,phi]=R0_A(1000,2,3,[2]);R0
[R0,R0_e,Phi,Phi_e]=R0error_A([10:10:600],2,3,[2],R0,phi);
legend({'$\tilde D=1$, (T2.1A)','$\tilde D=10^{-6}$, (T2.2A)','$\tilde D=0$, (T2.3A)'},'interpreter','latex')
axis([2 600 1e-7 1])
yticks([1e-7,1e-5,1e-3,1e-1])
xticks([5,10,20,50,100,300,600])
title('$|R_{0,N}-R_{0}|$','interpreter','latex','FontSize',20)

%% TA3
figure(303)
[R0,phi]=R0_A(1000,3,2,[2]);R0
[R0,R0_e,Phi,Phi_e]=R0error_A([50:50:800],3,2,[2],R0,phi);
[R0,phi]=R0_A(1000,3,2,[2]);R0
[R0,R0_e,Phi,Phi_e]=R0error_A([49:50:800],3,2,[2],R0,phi);
axis([40 800 1e-5 1e-2])
yticks([1e-5,1e-4,1e-3,1e-2])
xticks([50,100,400,800])
legend({'$N$ even','$N$ odd'},'interpreter','latex')
title('$|R_{0,N}-R_{0}|$','interpreter','latex','FontSize',20)